*** Makefile.orig	Thu Aug 12 12:48:01 1993
--- Makefile	Thu Aug 12 14:13:45 1993
***************
*** 13,28 ****
  # for Xenix
  #CFLAGS = -O -M2e -DINT16 -DXENIX -DLOCKF
  #LDFLAGS = -s -M2e -i -f 5000
  
! CFLAGS	= -O -DSPARC -DBSD
  LDFLAGS	= -s
  LD	= $(CC)
  LINT	= lint
  SHLIB	=
  SHAR	= shar -a
! BINDIR	= ${DESTDIR}/usr/local/mtools
  MANEXT	= 1
! MANDIR	= ${DESTDIR}/usr/share/local/man/man$(MANEXT)
  #
  # for AT&T Unix PC 7300/3b1 style shared libraries.
  #SHOBJ	= /lib/crt0s.o /lib/shlib.ifile
--- 13,30 ----
  # for Xenix
  #CFLAGS = -O -M2e -DINT16 -DXENIX -DLOCKF
  #LDFLAGS = -s -M2e -i -f 5000
+ # for FreeBSD
+ CFLAGS = -O -DBSD
  
! #CFLAGS	= -O -DSPARC -DBSD
  LDFLAGS	= -s
  LD	= $(CC)
  LINT	= lint
  SHLIB	=
  SHAR	= shar -a
! BINDIR	= ${DESTDIR}/usr/local/bin
  MANEXT	= 1
! MANDIR	= ${DESTDIR}/usr/local/man/man$(MANEXT)
  #
  # for AT&T Unix PC 7300/3b1 style shared libraries.
  #SHOBJ	= /lib/crt0s.o /lib/shlib.ifile
***************
*** 107,128 ****
  
  install: all
  	-mkdir $(BINDIR)
! 	for prog in $(PROGS); do install $$prog $(BINDIR)/$$prog; gln -sf ../mtools/$$prog ${DESTDIR}/usr/local/bin; done
! 	install -c -m 644 Mattrib.1 $(MANDIR)/mattrib.$(MANEXT)
! 	install -c -m 644 Mcd.1 $(MANDIR)/mcd.$(MANEXT)
! 	install -c -m 644 Mcopy.1 $(MANDIR)/mcopy.$(MANEXT)
! 	install -c -m 644 Mdel.1 $(MANDIR)/mdel.$(MANEXT)
! 	install -c -m 644 Mdir.1 $(MANDIR)/mdir.$(MANEXT)
! 	install -c -m 644 Mformat.1 $(MANDIR)/mformat.$(MANEXT)
! 	install -c -m 644 Mlabel.1 $(MANDIR)/mlabel.$(MANEXT)
! 	install -c -m 644 Mmd.1 $(MANDIR)/mmd.$(MANEXT)
! 	install -c -m 644 Mrd.1 $(MANDIR)/mrd.$(MANEXT)
! 	install -c -m 644 Mread.1 $(MANDIR)/mread.$(MANEXT)
! 	install -c -m 644 Mren.1 $(MANDIR)/mren.$(MANEXT)
! 	install -c -m 644 Mtools.1 $(MANDIR)/mtools.$(MANEXT)
! 	install -c -m 644 Mtype.1 $(MANDIR)/mtype.$(MANEXT)
! 	install -c -m 644 Mwrite.1 $(MANDIR)/mwrite.$(MANEXT)
! 	install -c -m 644 Mkmanifest.1 $(MANDIR)/mkmanifest.$(MANEXT)
  
  clean:
  	rm $(PROGS) *.o core a.out tags TAGS
--- 109,130 ----
  
  install: all
  	-mkdir $(BINDIR)
! 	for prog in $(PROGS); do install -s -m 555 -o bin -g bin $$prog $(BINDIR)/$$prog; done
! 	install -c -o bin -g bin -m 644 Mattrib.1 $(MANDIR)/mattrib.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mcd.1 $(MANDIR)/mcd.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mcopy.1 $(MANDIR)/mcopy.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mdel.1 $(MANDIR)/mdel.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mdir.1 $(MANDIR)/mdir.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mformat.1 $(MANDIR)/mformat.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mlabel.1 $(MANDIR)/mlabel.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mmd.1 $(MANDIR)/mmd.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mrd.1 $(MANDIR)/mrd.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mread.1 $(MANDIR)/mread.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mren.1 $(MANDIR)/mren.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mtools.1 $(MANDIR)/mtools.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mtype.1 $(MANDIR)/mtype.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mwrite.1 $(MANDIR)/mwrite.$(MANEXT)
! 	install -c -o bin -g bin -m 644 Mkmanifest.1 $(MANDIR)/mkmanifest.$(MANEXT)
  
  clean:
  	rm $(PROGS) *.o core a.out tags TAGS
*** devices.c.orig	Thu Sep 10 08:11:03 1992
--- devices.c	Thu Aug 12 13:03:59 1993
***************
*** 17,22 ****
--- 17,38 ----
  };
  #endif /* DELL */
  
+ #ifdef __386BSD__
+ struct device devices[] = {
+         {'A', "/dev/rfd0a", 0L, 12, 0, (int (*) ()) 0, 80, 2, 18}, /* 1.44m */
+         {'A', "/dev/rfd0a", 0L, 12, 0, (int (*) ()) 0, 80, 2, 15}, /* 1.2m */
+         {'A', "/dev/rfd0a", 0L, 12, 0, (int (*) ()) 0, 80, 2, 9},  /* 720k */
+         {'A', "/dev/rfd0a", 0L, 12, 0, (int (*) ()) 0, 40, 2, 9},  /* 360k */
+         {'A', "/dev/rfd0a", 0L, 12, 0, (int (*) ()) 0, 40, 2, 8},  /* 320k */
+         {'B', "/dev/rfd1a", 0L, 12, 0, (int (*) ()) 0, 80, 2, 18}, /* 1.44m */
+         {'B', "/dev/rfd1a", 0L, 12, 0, (int (*) ()) 0, 80, 2, 15}, /* 1.2m */
+         {'B', "/dev/rfd1a", 0L, 12, 0, (int (*) ()) 0, 80, 2, 9},  /* 720k */
+         {'B', "/dev/rfd1a", 0L, 12, 0, (int (*) ()) 0, 40, 2, 9},  /* 360k */
+         {'B', "/dev/rfd1a", 0L, 12, 0, (int (*) ()) 0, 40, 2, 8},  /* 320k */
+         {'\0', (char *) NULL, 0L, 0, 0, (int (*) ()) 0, 0, 0, 0}
+ };
+ #endif /* __386BSD__ */
+ 
  #ifdef ISC
  struct device devices[] = {
  	{'A', "/dev/rdsk/f0d9dt", 0L, 12, 0, (int (*) ()) 0, 40, 2, 9},
